Subject: [MMUSIC] What happens to RTP timestamps after an RTSP PAUSE?

From: Fabrice Triboix <[email-masked]>
Date: Mon, 5 Feb 2007 05:14:12 -0800 (PST)

Hello,

I am currently working on an RTSP/RTP implementation,
and I wonder what a streaming server is meant to do
with RTP timestamps after an RTSP PAUSE followed
(after a few seconds, for example), by a PLAY.

There are 2 possibilities for the first RTP packet
after the PLAY:
 - Its timestamp is the last RTP packet's timestamp +
duration of the last RTP packet
 - Or: the previous value + duration in "real time"
between PAUSE and PLAY

I tried to find some information on the internet, and
apparently the second option is more likely. The
problem is that I can't find any RFC or other standard
documents elaborating on this situation...

Thank you very much for your help!

  Fabrice Triboix

____________________________________________________________________________________
Get your own web address.  
Have a HUGE year through Yahoo! Small Business.
http://smallbusiness.yahoo.com/domains/?p=BESTDEAL

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: Colin Perkins <[email-masked]>
Date: Mon, 5 Feb 2007 13:59:16 +0000

> documents elaborating on this situation...

The second option is correct. RFC 3550 section 5.1.

-- 
Colin Perkins
http://csperkins.org/

---

From: "Xavier Marjou" <[email-masked]>
Date: Mon, 5 Feb 2007 17:36:33 +0100

This is also documented in the annex "B.2.4 Handling RTP Timestamps
after PAUSE" of draft-ietf-mmusic-rfc2326bis-14.

Xavier